Ruby ActiveRecord NuoDB Adapter
Ruby
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
lib
test
.DS_Store
.buildpath
.gitignore
.travis.yml
AUTHORS
CONTRIBUTION.md
COPYING
Gemfile
History.txt
LICENSE
Manifest.txt
README.md
Rakefile
activerecord-nuodb-adapter.gemspec

README.md

Ruby ActiveRecord NuoDB Adapter

Continuous Integration Status Dependency Status

The Ruby ActiveRecord NuoDB Adapter enables the ActiveRecord ORM to work with NuoDB. Together with the Ruby NuoDB driver, this gem allows for NuoDB backed Rails applications.

Note: At this time the Ruby ActiveRecord NuoDB Adapter does not support Windows.

Getting Started

  1. If you haven't already, Download and Install NuoDB

  2. Add the ActiveRecord NuoDB Adapter to your Gemfile

    gem 'activerecord-nuodb-adapter'
    
  3. Use bundler to install

    bundle install
    
  4. Use the NuoDB Manager to create your database by starting a Storage Manager (SM) and Transaction Engine (TE)

    java -jar /opt/nuodb/jar/nuodbmanager.jar --broker localhost --user domain --password bird
    
    > start process sm host localhost database blog_development archive /var/opt/nuodb/production-archives/blog_development initialize yes
    > start process te host localhost database blog_development options '--dba-user blog --dba-password bl0gPassw0rd'
    
  5. Update your config/database.yml file

    development:
      adapter: nuodb
      database: blog_development@localhost
      username: blog
      password: bl0gPassw0rd
      schema: blog
    

More Information

Contributing

See Contribution for information about contributing to the Ruby ActiveRecord NuoDB Adapter.

License

NuoDB License